Bug 133524 - Add double angle quote («, ») autocorrection, where "Single/Double quotes AutoCorrect" locale settings don't support it
Summary: Add double angle quote («, ») autocorrection, where "Single/Double quotes Aut...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:7....
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2020-05-30 12:06 UTC by László Németh
Modified: 2020-07-05 20:53 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2020-05-30 12:06:29 UTC
AutoCorrect settings of several languages prefer apostrophe replacement instead of second level quotation marks » and «, see Writer (or MS Word) and

https://en.wikipedia.org/wiki/Quotation_mark#Summary_table

Apostrophe, also second level quotation marks needs for writing, but keyboards and recent AutoCorrect facilities don't support both. A suggested solution to give

1. AutoCorrect character sequences ">>" and "<<" to » and «.

2. and in the case of unique, not alternative second level quotation marks,
context-dependent replacement of ", i.e. checking preceding opening quotes to choose the correct quotation marks. A Hungarian or Romanian example: „Sentence with primary and »second level« quotes.” would be possible to type using only ", while "Single quotes" AutoCorrect is used for typographic apostrophes.
Comment 1 Commit Notification 2020-05-31 21:14:06 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/57f07b1d7378d218648667c5b1315cc8ad905875

tdf#133524 AutoCorrect: support double angle quotes

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-06-01 23:16:32 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4f0751949b6c2a495891e67a893ef98d4e4b5a80

tdf#133524 AutoCorrect: support double angle quotes

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xosé 2020-06-04 13:53:27 UTC
1. AutoCorrect character sequences ">>" and "<<" to » and «.

I want to request the same feature for language Galician (gl_ES).
Comment 4 Adolfo Jayme 2020-06-25 11:31:25 UTC
And for Catalan (ca), Aragonese (an) and Asturian (ast) too by default, please!
Comment 5 Commit Notification 2020-06-26 07:02:23 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/77b213890a96d144d9cfacdfd35ac0bba68b9f7a

tdf#133524 add option to angle quote AutoCorrect

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-26 07:03:48 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/70ee8666edb0851222550029e445ef61434a0376

tdf#133524 AutoCorrect angle quotes for fr-CH and gl-ES

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-26 10:33:24 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7b2f854754065354ccd50a42e0b7d28ee7c745dd

tdf#133524 AutoCorrect angle quotes for fr-CH and gl-ES

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 László Németh 2020-06-26 11:27:13 UTC
@Xosé, Adolfo: I am started to add them... thanks for your requests!
Comment 9 Commit Notification 2020-06-30 17:46:10 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7ffc9d592299a71c86f11a57bc2cd5037927f522

tdf#133524 add option to angle quote AutoCorrect

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Dorian B. 2020-07-03 07:13:50 UTC

(In reply to László Németh from comment #0)
> AutoCorrect settings of several languages prefer apostrophe replacement
> instead of second level quotation marks » and «, see Writer (or MS Word) and
> 
> https://en.wikipedia.org/wiki/Quotation_mark#Summary_table
> 
> Apostrophe, also second level quotation marks needs for writing, but
> keyboards and recent AutoCorrect facilities don't support both. A suggested
> solution to give
> 
> 1. AutoCorrect character sequences ">>" and "<<" to » and «.
> 
> 2. and in the case of unique, not alternative second level quotation marks,
> context-dependent replacement of ", i.e. checking preceding opening quotes
> to choose the correct quotation marks. A Hungarian or Romanian example:
> „Sentence with primary and »second level« quotes.” would be possible to type
> using only ", while "Single quotes" AutoCorrect is used for typographic
> apostrophes.

In Romanian, the expression written like this: „Sentence with primary and »second level« quotes.” is misspelled. In Romanian the expression is written like this: «Sentence with primary and „second level” quotes.».
Comment 11 László Németh 2020-07-03 09:22:31 UTC
(In reply to Dorian B. from comment #10)

@Dorian: As a quick fix, I'll remove the inner quotation recognition for Romanian, keeping only the << and >> replacement for it, but later, if you want, we can use that, too, with the correct order. (By the way, according to this source, French-like angle quotes are for nested quotes in Romanian, too: https://turcanin.wordpress.com/2012/01/25/the-mistery-behind-the-quotation-marks-in-romanian/). Many thanks for your feedback.
Comment 12 Commit Notification 2020-07-03 15:25:35 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/4e7e70de93368b2d4de54665245484929d76eb90

tdf#133524 tdf#133589 (related) Document new "Localized options"
Comment 13 Commit Notification 2020-07-03 18:28:46 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/help/commit/b19726b8cef00d9e3c9b03b447a0c66fc1ef8267

tdf#133524 tdf#133589 (related) Document new "Localized options"
Comment 14 Commit Notification 2020-07-05 08:12:19 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/99d4bf9446c392c3cf2877219c78917ca4d5dd87

tdf#133524 AutoCorrect: fix Romanian nested quotations

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-07-05 20:53:35 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/81584e76961d1180bb95bfe2e8f226177a26b28c

tdf#133524 AutoCorrect: fix Romanian nested quotations

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.